#ifndef FRMUPLOAD_H
#define FRMUPLOAD_H

#include <QWidget>
#include <QMouseEvent>
#include <QEvent>
#include <QDropEvent>
#include <QMoveEvent>
#include <QFileDialog>
#include <QMimeData>
#include <QDragEnterEvent>
#include <tchttpservice.h>

#define DEBUG   1

namespace Ui {
class FrmUpload;
}

class FrmUpload : public QWidget
{
    Q_OBJECT

public:
    explicit FrmUpload(QWidget *parent = nullptr);
    ~FrmUpload();

protected:
    virtual bool eventFilter(QObject* watched, QEvent* event);
    virtual void dragEnterEvent(QDragEnterEvent *event) override;
    virtual void dropEvent(QDropEvent *event) override;

private:
    void initFrom();
    void initWidget();
    void uploadFiles(QStringList fileList);

private:
    Ui::FrmUpload *ui;
};

#endif // FRMUPLOAD_H
